<gpio style="text-align:center;">


  <div onclick="{toggle}" class="temperature">{valueString}</div>
  <div class="sensor-name">{opts.gpioName}</div>

  init(){
    this.value = this.opts.gpioValue;
    this.setValueString();
  }

  toggle(e){
    e.stopPropagation();
    var socket = io();
    console.log("toggle: ", this.opts);
    if(this.value === 1){
      this.value = 0;
    }else{
      this.value = 1;
    }
    this.setValueString();
    console.log(this.opts);
    socket.emit("updateGpio",{id : opts.gpioId, name : opts.gpioName, value : this.value});
  }

  setValueString(){
    if(this.value === 1){
      this.valueString = "Ein";
    }else{
      this.valueString = "Aus";
    }
  }

  updateGpio(e){
    e.stopPropagation();
    var socket = io();
    //var name = prompt("Name für "+opts.sensorName+" festlegen:",opts.sensorName);
    value = !value;
    socket.emit("updateGpio", {id : opts.gpio.id, value : value,  name : name});
  }

  this.on('mount', function() {
    //console.log("mount ", this.opts);
    this.init();
  })

</gpio>
